Product: dmu26_XID+MIPS_COSMOS

Version: 1.0

Author: Peter Hurley

Fields: COSMOS

Selection filter: F_MIPS_24

Rights: N/A

Acknowledgements: N/A

Related products: wp4_cosmos_mips24_map_v1.0.fits.gz, psfcosmos_corrected.fits, cosmos2015.hsel
